lxi_receive(3)

NAME
lxi_receive - receive message from LXI device

SYNOPSIS

#include <lxi.h>

int lxi_receive(int device, char *message, int length, int timeout);

DESCRIPTION

The lxi_receive() function receives up to length bytes in the message buffer pointed to by message

The timeout is in milliseconds.

RETURN VALUE

Upon successful completion lxi_receive() returns the number of bytes successfully received, or LXI_ERROR if an error occurred.

SEE ALSO
lxi_open(3), lxi_send(3), lxi_disconnect(3),